Skip to main content
GET
List tools with schemas for a tool router session (v3.1)

Authorizations

x-api-key
string
header
default:your-project-api-key
required

Your Composio project API key. Create or copy it from the Composio dashboard.

Path Parameters

session_id
string<toolRouterSessionId>
required

Tool router session ID

Query Parameters

limit
integer

Number of items per page, max allowed is 500

Required range: 1 <= x <= 500
cursor
string

Cursor for pagination. The cursor is a base64 encoded string of the page and limit. The page is the page number and the limit is the number of items per page. The cursor is used to paginate through the items. The cursor is not required for the first page.

Response

Successfully retrieved paginated tools with their complete schemas.

items
object[]
required
total_pages
number
required
current_page
number
required
total_items
number
required
next_cursor
string | null